list_applications
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "2c8f0a1e-4b3d-4e91-9c7a-1f6b8d2e0a11",
"applicant_name": "Jordan Lee",
"applicant_email": "jordan@example.com",
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"job_title": "Staff engineer",
"status": "new",
"knockout": false,
"applied_at": "2026-09-20T18:22:01+00:00",
"archived_at": null,
"has_resume": true,
"answers": {
"Why this role?": "I ship."
},
"also_applied": []
}
]
}Applications
list_applications
List hosted applications for this company. Knockout failures stay hidden by default. status defaults to new. MCP tool: list_applications.
GET
/
v1
/
employer
/
applications
list_applications
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "2c8f0a1e-4b3d-4e91-9c7a-1f6b8d2e0a11",
"applicant_name": "Jordan Lee",
"applicant_email": "jordan@example.com",
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"job_title": "Staff engineer",
"status": "new",
"knockout": false,
"applied_at": "2026-09-20T18:22:01+00:00",
"archived_at": null,
"has_resume": true,
"answers": {
"Why this role?": "I ship."
},
"also_applied": []
}
]
}Authorizations
Employer session JWT from Better Auth.
Query Parameters
all, new, considering, interviewing, hired, or rejected.
all, interviews (booked and not started), or offers (pending and not expired).
active, archived, or all. Archive is not a status.
Limit to one job. UUID.
Search name or email.
Knockout failures stay hidden when true.
ISO-8601 datetime. Only applications with applied_at on or after this time.
Response
200 - application/json
Success
The response is of type object.